
ScalES-PPM - Bug #349

Missing MPI include file for non-MPI builds

08/13/2020 06:37 PM - Matthew Krupcale

Status: Resolved Start date: 08/13/2020

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:    

Description

The include file mpi_fc_conf.inc is generated only for MPI builds. This causes a problem when configuring with --disable-MPI and

attempting to build the doxygen documentation: processing src/core/ppm_std_type_kinds_mp.f90 causes a fatal error due to the

missing include file.

The attached patch fixes this by only including mpi_fc_conf.inc when USE_MPI is defined.

History

#1 - 02/07/2022 02:46 PM - Thomas Jahns

Thanks for spotting the issue. This should be fixed now with the integration of commit:693396f3747c3a862c4cdc1388823ce623ea70e8

#2 - 02/07/2022 02:54 PM - Thomas Jahns

- Status changed from New to Resolved

Files

ppm_std_type_kinds_mp.f90-missing-include-non-MPI.patch 650 Bytes 08/13/2020 Matthew Krupcale
